Description

1. Exporting bookmarks writes the srid as "EPSG:4326" or similar rather than the internal integer value. This causes errors on Importing
bookmarks -- one per bookmark in the file.

Note that using the internal srid is a likely problem for user defined CRS as the srid value may not exist on another system (or have a
different definition) or even with a different profile as QGIS3 has. This could be very messy.

2. On import of an otherwise good file (from older version) if there is an apostrophe in the bookmark name an error occurs inserting the
record into tbl_bookmarks. | could cheat by doubling the apostrophe in the XML file -- this would work.

This problem likely has existed for some time, but | just noticed it while testing the recent bookmarks fixes.

3. The list should be refreshed after importing bookmarks. | have had to restart QGIS to see the bookmarks on master, but on 2.18.15 the
list was refreshed.

These do affect 2.18 as well.

Associated revisions

Revision 28a61e1e - 2017-12-13 08:58 AM - Alessandro Pasotti

[bugfix] Bookmarks fix export SRID and refresh on import

Fixes #17674 - Export and Import problems after recent fixes

History

#1 - 2017-12-12 10:18 PM - Steven Mizuno
- Description updated

#2 - 2017-12-13 08:33 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

1. I'll fix that

2. I'm aware of that, but | don't see any other option: saving the proj definitions would solve the issue but it's not suitable for display , I'm not going to fix that
for now, feel free to file a feature request

3. Il have a look

#3 - 2017-12-13 08:58 AM - Anonymous

2025-04-27 12




- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|28a61e1e1d0eddf0db5dc88d79a743fbfa36e390.

#4 - 2018-02-22 11:43 AM - Giovanni Manghi

- Resolution set to fixed/implemented
